- NAME
- SYNOPSIS
- DESCRIPTION
- SETUP
- OPTIONS

# NAME

rt-run-scheduled-processes - Check for scheduled processes and run them

# SYNOPSIS

        rt-run-scheduled-processes [options]

# DESCRIPTION

This tool will find any scheduled processes that are scheduled and run them.

Each scheduled process has a minute and hour, and possibly day of week or day of month. These are taken to be in the RT server timezone.

# SETUP

You'll need to have cron run this script every 15 minutes. Here's an example crontab entry to do this.

        */15 * * * * /usr/bin/rt-run-scheduled-processes

This will run the script every 15 minutes, every hour. This may need some further tweaking to be run as the correct user.

# OPTIONS

This tool supports a few options. Most are for debugging.

-h
--help

  Display this documentation

--dryrun

  Figure out which scheduled processes would be run, but don't actually run them

--time SECONDS

  Instead of using the current time to figure out which scheduled processes should be run, use SECONDS (usually since midnight Jan 1st, 1970, so `1192216018` would be Oct 12 19:06:58 GMT 2007).

--all

  Ignore scheduled process frequency when considering each scheduled process. This will run all enabled scheduled processes.

--log LEVEL

  Adjust LogToSTDERR config option

← Back to index